package model;

import java.util.Set;

public class Explosion extends WorldObject {

	private int timeout;
	private final Set<Integer> creators;
	
	public Explosion(double x, double y, double size, int timeout, Set<Integer> creators)
	{
		super(WorldObjectType.Explosion, x, y, size);
		this.timeout = timeout;
		this.creators = creators;
	}

	public Explosion tick()
	{
		return new Explosion(getX(), getY(), size, getTimeout()-1, creators);
	}

	public int getTimeout()
	{
		return timeout;
	}

	public void setTimeout(int timeout)
	{
		this.timeout = timeout;
	}
	
	public Set<Integer> getCreators()
	{
		return creators;
	}
}
