package model;

public class WorldObject {
	public final WorldObjectType type;
	private double x;
	private double y;
	public final double size;
	
	public WorldObject(WorldObjectType type, double x, double y, double size) {
		this.type = type;
		this.x = x;
		this.y = y;
		this.size = size;
	}
	
	public boolean isSquare()
	{
		return this.type == WorldObjectType.ConcreteWall 
				|| this.type == WorldObjectType.BrickWall 
				|| this.type == WorldObjectType.Explosion 
				|| this.type == WorldObjectType.Bonus;
	}
	
	public boolean isCircle()
	{
		return this.type == WorldObjectType.Player
				|| this.type == WorldObjectType.Bomb;
	}

	public double getX()
	{
		return x;
	}

	public void setX(double x)
	{
		this.x = x;
	}

	public double getY()
	{
		return y;
	}

	public void setY(double y)
	{
		this.y = y;
	}
}
