package model;

public enum WorldObjectType
{
	None(0),
	Player(1),
	Bomb(2),
	Explosion(3),
	ConcreteWall(4),
	BrickWall(5),
	Bonus(6);

	public static int count = WorldObjectType.values().length;
	private static final WorldObjectType[] types = new WorldObjectType[count];
	
	
	static {
		for(WorldObjectType tp: WorldObjectType.values())
			types[tp.id] = tp;
	}
	
	public final int id;
	
	private WorldObjectType(int id)
	{
		this.id = id;
	}
	
	public static WorldObjectType getById(int id)
	{
		return types[id];
	}
}